
From: Chris Wright <chrisw@osdl.org>

The build includes capability.c when CONFIG_SECURITY=n, yet the whole file is
ifdef'd out.  Remove unnecessary build step as well as superfluous ifdefs.


---

 25-akpm/security/Makefile     |    2 +-
 25-akpm/security/capability.c |    5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)

diff -puN security/capability.c~remove-empty-build-of-capabilityo security/capability.c
--- 25/security/capability.c~remove-empty-build-of-capabilityo	Tue May 11 17:32:28 2004
+++ 25-akpm/security/capability.c	Tue May 11 17:32:28 2004
@@ -23,9 +23,6 @@
 #include <linux/netlink.h>
 #include <linux/ptrace.h>
 
-#ifdef CONFIG_SECURITY
-
-
 static struct security_operations capability_ops = {
 	.ptrace =			cap_ptrace,
 	.capget =			cap_capget,
@@ -99,5 +96,3 @@ module_exit (capability_exit);
 
 MODULE_DESCRIPTION("Standard Linux Capabilities Security Module");
 MODULE_LICENSE("GPL");
-
-#endif	/* CONFIG_SECURITY */
diff -puN security/Makefile~remove-empty-build-of-capabilityo security/Makefile
--- 25/security/Makefile~remove-empty-build-of-capabilityo	Tue May 11 17:32:28 2004
+++ 25-akpm/security/Makefile	Tue May 11 17:32:28 2004
@@ -6,7 +6,7 @@ subdir-$(CONFIG_SECURITY_SELINUX)	+= sel
 
 # if we don't select a security model, use the default capabilities
 ifneq ($(CONFIG_SECURITY),y)
-obj-y		+= commoncap.o capability.o
+obj-y		+= commoncap.o
 endif
 
 # Object file lists

_
